RelayAPI

Create an auto-post rule

Create a new auto-post rule to automatically post from an RSS/Atom feed.

POST
/v1/auto-post-rules
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/auto-post-rules" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "feed_url": "http://example.com"  }'
{
  "id": "string",
  "name": "string",
  "feed_url": "string",
  "polling_interval_minutes": 0,
  "content_template": "string",
  "append_feed_url": true,
  "account_ids": [
    "string"
  ],
  "status": "active",
  "consecutive_errors": 0,
  "last_processed_url": "string",
  "last_processed_at": "string",
  "last_error": "string",
  "workspace_id": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo